Home Gallery Resources The Team Rules chat Login Register
Pages: [1]
Author Topic: Previewer - Attempted to read or write protected memory  (Read 2551 times)
0 Members and 1 Guest are viewing this topic.
Jaklub
Supreme Kitten
********
Offline Offline

Posts: 597


Personal Text:

  • Awards Featured Good Citizen Super Saiyan Topic Renowned Hacker

  • View Profile Awards
    « on: April 22, 2012, 05:20:19 AM »


    I've been trying to get back into modding since a while and I set up .NET Framework and similar crap on my freshly installed system. BrawlBox's 0.63d previewer worked after I uninstalled language packs for .NET Framework.

    That was a few weeks ago, right now I can't run it again, receiving the same error message, nearly identical to one present in that thread: http://forums.kc-mm.com/index.php?topic=8513.0
    The difference is that uninstalling language packets didn't help this time.

    That's what happens when I try to open any model in 0.63d's previewer. In case of newer BrawlBox versions by BlackJax, there is only "BrawlBox v0.6something has encountered a problem and needs to close. We are sorry for the inconvenience."

    I also tried updating graphic card drivers and .NET Framework, but these didn't help either. I'd be glad if anyone provided a solution that worked. Thanks in advance.

    edit: I'm using Windows XP with updates installed.
    « Last Edit: April 22, 2012, 05:26:40 AM by Jaklub » Logged

    As you may have noticed, I don't answer PMs with problems anymore.

    Sanada
    Extreme Kitten
    *******
    Offline Offline

    Posts: 388


  • Awards Staff Helper Sniper Tutorial Writer Epic Restorer

  • View Profile Awards
    « Reply #1 on: April 22, 2012, 07:11:48 AM »


    You have to install .NET Framework 3.5 as well as 4.0 (or higher)  to get the preview working.
    0.63d used on older .NET framework (no 4.0 will not work with 0.63)
    to be safe you may want even an older .NET framework. I have 2.0, 3.0, 3.5 and 4.0 on my computer. Everything runs good from 0.63-65 (66 didn't work for me-then again i didn't use it much) anyway good luck see if what I told you above works.

    I had this happen to me before so I know a work around to it.
    Logged

    Jaklub
    Supreme Kitten
    ********
    Offline Offline

    Posts: 597


    Personal Text:

  • Awards Featured Good Citizen Super Saiyan Topic Renowned Hacker

  • View Profile Awards
    « Reply #2 on: April 22, 2012, 08:36:44 AM »


    Thanks for replying. I have them all, but it doesn't work.
    Logged

    As you may have noticed, I don't answer PMs with problems anymore.

    Sanada
    Extreme Kitten
    *******
    Offline Offline

    Posts: 388


  • Awards Staff Helper Sniper Tutorial Writer Epic Restorer

  • View Profile Awards
    « Reply #3 on: April 22, 2012, 09:30:48 AM »


    Hmmm, I have two options you could try.

    1. Uninstall .Net framework 4 only, everything the Extended and Client Profile. Then try with just 3.5 and the older ones with 0.63d and see what happens when you check the preview.
    If it works, let me know...

    2. Run this tool found here. It's suppose to find if any .NET frameworks may be corrupted, I personally never used this but it may work for you.

    If not those options work, I'm sorry I was unable to help you...
    Logged

    Jaklub
    Supreme Kitten
    ********
    Offline Offline

    Posts: 597


    Personal Text:

  • Awards Featured Good Citizen Super Saiyan Topic Renowned Hacker

  • View Profile Awards
    « Reply #4 on: April 22, 2012, 02:43:18 PM »


    Thanks. I have tried running BrawlBox 0.63d's previewer without .NET 4, but the result was the same.

    I also used the tool to check if the installation was ok. It was. I uninstalled every .NET version from my PC anyway and installed 3.5 all again, which also brings 2.0 and 3.0 in. With or without language packets, still didn't work.

    Does anyone have a solution?
    Logged

    As you may have noticed, I don't answer PMs with problems anymore.

    Diddy Kong
    Lol Kitten
    *********
    Offline Offline

    Posts: 802


    chief

  • Awards Heart Container Hot Topic Famous Hacker Pin Collector

  • View Profile WWW Awards
    « Reply #5 on: April 22, 2012, 09:49:16 PM »


    how many frameworks did you use?... I had a particular setup with my virtual machine and frameworks just to get smashbox to work since I am on 64-bit now..

    Post Merge: April 22, 2012, 09:55:12 PM
    err... I copied this from my 64-bit smashbox tutorial...
    Net Framework [ 1.0  1.1 2.0   3.0  3.1  3.5  ]

    my virtual machine runs windows XP PRO and loads software within windows 7 give these a try
    « Last Edit: April 22, 2012, 09:55:12 PM by Diddy Kong » Logged


    Jaklub
    Supreme Kitten
    ********
    Offline Offline

    Posts: 597


    Personal Text:

  • Awards Featured Good Citizen Super Saiyan Topic Renowned Hacker

  • View Profile Awards
    « Reply #6 on: April 28, 2012, 03:31:26 PM »


    Thanks for reply. I have installed NET Frameworks 1.0 and 1.1, but it didn't help. I don't have pro edition of XP.
    Logged

    As you may have noticed, I don't answer PMs with problems anymore.

    Diddy Kong
    Lol Kitten
    *********
    Offline Offline

    Posts: 802


    chief

  • Awards Heart Container Hot Topic Famous Hacker Pin Collector

  • View Profile WWW Awards
    « Reply #7 on: April 28, 2012, 04:05:31 PM »


    im tempted to use teamviewer with you and see if I can resolve it myself... but
    have you also installed the ones in my post?
    Logged


    Pages: [1]
    Print
    Jump to: